### Name

> XmHTMLImageUpdate - update an image with new information.

### Synopsis

> XmImageStatus XmHTMLImageUpdate(Widget w, XmImageInfo *image)

### Description

> The XmHTMLImageUpdate function can be used to inform a XmHTML widget that the contents of an image have changed and that the display should be updated.

> This function allows one to perform dynamic updating of an image without having to reload the entire document. Examples of images that could require frequent updating are: network statistics, weather reports, financial data, advertisements or even a clock to display how long a document is being viewed.

> w
>   Specifies the parent Widget ID, which must be of class xmHTMLWidgetClass.
> *image
>   the updated image data.

> Please note that the *image argument must represent a valid XmImageInfo structure, e.i., one that was returned to a XmHTML widget in response to the function installed on the XmNimageProc resource.

### Return Value

> Any of the following values:

    	typedef enum{
    		XmIMAGE_ERROR    /* unknown error occured */
    		XmIMAGE_BAD      /* bad function call: missing arguments */
    		XmIMAGE_UNKNOWN  /* provided XmImageInfo structure unknown/unbound */
    		XmIMAGE_ALMOST   /* action completed, further response necessary */
    		XmIMAGE_OK       /* action completed. */
    	}XmImageStatus;

> A return value of XmIMAGE_ALMOST indicates that a redisplay of the current document is necessary (this value can be returned if the dimensions of the image have changed).

### See Also

> XmHTML(3X), XmHTMLImageDefaultProc(3X), XmHTMLImageReplace(3X), XmHTMLRedisplay(3X), XmImageInfo(3X)

XmHTML, June 4, 1998